Upstream information

CVE-2009-3700 at MITRE

Description

Buffer overflow in sgLog.c in squidGuard 1.3 and 1.4 allows remote attackers to cause a denial of service (application hang or loss of blocking functionality) via a long URL with many / (slash) characters, related to "emergency mode."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 550930 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 12 SP5
  • squidGuard >= 1.4-30.6.1
  • squidGuard-doc >= 1.4-30.6.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA squidGuard-1.4-30.6.1
SUSE Linux Enterprise Server 11 SP2
  • squidGuard >= 1.4-13.6.1
  • squidGuard-doc >= 1.4-13.6.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA squidGuard-1.4-13.6.1
SUSE Linux Enterprise Server 11 SP3
  • squidGuard >= 1.4-13.6.1
  • squidGuard-doc >= 1.4-13.6.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA squidGuard-1.4-13.6.1
SUSE Linux Enterprise Server 11 SP4
  • squidGuard >= 1.4-13.6.1
  • squidGuard-doc >= 1.4-13.6.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA squidGuard-1.4-13.6.1
SUSE Linux Enterprise Server 12 SP1
  • squidGuard >= 1.4-23.1
  • squidGuard-doc >= 1.4-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA squidGuard-1.4-23.1
SUSE Linux Enterprise Server 12 SP2
  • squidGuard >= 1.4-23.1
  • squidGuard-doc >= 1.4-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA squidGuard-1.4-23.1
SUSE Linux Enterprise Server 12 SP3
  • squidGuard >= 1.4-29.1
  • squidGuard-doc >= 1.4-29.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA squidGuard-1.4-29.1
SUSE Linux Enterprise Server 12 SP4
  • squidGuard >= 1.4-30.6.1
  • squidGuard-doc >= 1.4-30.6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA squidGuard-1.4-30.6.1
SUSE Linux Enterprise Server 12 SP5
  • squidGuard >= 1.4-30.6.1
  • squidGuard-doc >= 1.4-30.6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA squidGuard-1.4-30.6.1
SUSE Linux Enterprise Server 12
  • squidGuard >= 1.4-23.1
  • squidGuard-doc >= 1.4-23.1
Patchnames:
SUSE Linux Enterprise Server 12 GA squidGuard-1.4-23.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • squidGuard >= 1.4-23.1
  • squidGuard-doc >= 1.4-23.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA squidGuard-1.4-23.1
openSUSE Tumbleweed
  • squidGuard >= 1.4-27.7
  • squidGuard-doc >= 1.4-27.7
Patchnames:
openSUSE Tumbleweed GA squidGuard-1.4-27.7


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 07:28:15 2013
CVE page last modified: Fri Oct 7 12:45:50 2022